%define upstream_name    Test-SharedFork
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Fork test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Test::SharedFork is utility module for Test::Builder.

This module makes the fork(2) manpage safety in your test case.

This module merges test count with parent process & child process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 515314
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 373780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 342709
- update to 0.21

* Thu Feb 23 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 213202
- update to 0.20

* Thu Dec 01 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 174764
- update to 0.19

* Thu Oct 13 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 154475
- update to 0.18

* Mon Jun 20 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 110557
- imported package perl-Test-SharedFork


* Mon Jun 20 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
